/*
Navicat MySQL Data Transfer

Source Server         : localhost_3306
Source Server Version : 50142
Source Host           : localhost:3306
Source Database       : coursereg

Target Server Type    : MYSQL
Target Server Version : 50142
File Encoding         : 65001

Date: 2013-04-22 21:46:02
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `account`
-- ----------------------------
DROP TABLE IF EXISTS `account`;
CREATE TABLE `account` (
  `id` longtext COLLATE utf8_unicode_ci,
  `password` longtext COLLATE utf8_unicode_ci,
  `role` longtext COLLATE utf8_unicode_ci,
  `realname` longtext COLLATE utf8_unicode_ci
);

-- ----------------------------
-- Records of account
-- ----------------------------
INSERT INTO `account` VALUES ('09130027', '202cb962ac59075b964b07152d234b70', '0', 'Nguyễn Xuân Hòa');
INSERT INTO `account` VALUES ('0909', 'b5712b7c6ffa239f15ac870fb33e9eba', '0', 'Nguyễn Văn A');
INSERT INTO `account` VALUES ('admin', '202cb962ac59075b964b07152d234b70', '1', 'Nhân Viên Quản Lý |');
INSERT INTO `account` VALUES ('09130046', '202cb962ac59075b964b07152d234b70', '0', 'Nguyễn Chính Luân');
INSERT INTO `account` VALUES ('09130052', '202cb962ac59075b964b07152d234b70', '0', 'Đào Lê Duy Nam');
INSERT INTO `account` VALUES ('teacher', '202cb962ac59075b964b07152d234b70', '2', 'Lê Nhật Tùng');
INSERT INTO `account` VALUES ('s12345', '202cb962ac59075b964b07152d234b70', '1', 'Nhân Viên Quản Lý |');
INSERT INTO `account` VALUES ('1234567', '202cb962ac59075b964b07152d234b70', '2', 'Mai Anh Thơ');
INSERT INTO `account` VALUES ('duynam', '202cb962ac59075b964b07152d234b70', '2', 'Đào Lê Duy Nam');
INSERT INTO `account` VALUES ('duynam1', '202cb962ac59075b964b07152d234b70', '2', 'Đao Lê Duy Nam');

-- ----------------------------
-- Table structure for `class`
-- ----------------------------
DROP TABLE IF EXISTS `class`;
CREATE TABLE `class` (
  `class_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `science_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `level_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `class_desc` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `class_start` char(4) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`class_id`),
  KEY `science_id` (`science_id`),
  KEY `level_id` (`level_id`),
  CONSTRAINT `class_ibfk_1` FOREIGN KEY (`science_id`) REFERENCES `science` (`science_id`),
  CONSTRAINT `class_ibfk_2` FOREIGN KEY (`level_id`) REFERENCES `level` (`level_id`)
);

-- ----------------------------
-- Records of class
-- ----------------------------
INSERT INTO `class` VALUES ('cd11kt', 'kt', 'cd', 'CD11TK', '2011');
INSERT INTO `class` VALUES ('dh08dt', 'cntt', 'dh', 'DH08DT', '2008');
INSERT INTO `class` VALUES ('dh09dt', 'cntt', 'dh', 'DH09DT', '2009');
INSERT INTO `class` VALUES ('dh09th', 'cntt', 'cd', 'CD09TH', '2009');
INSERT INTO `class` VALUES ('dh10kt', 'kt', 'dh', 'DH10TK', '2010');

-- ----------------------------
-- Table structure for `classsubject`
-- ----------------------------
DROP TABLE IF EXISTS `classsubject`;
CREATE TABLE `classsubject` (
  `class_sub_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `room_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `teacher_id` char(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sub_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `date_start` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `date_end` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `th` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `date_update` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `corse_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `class_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`class_sub_id`),
  KEY `room_id` (`room_id`),
  KEY `teacher_id` (`teacher_id`),
  KEY `corse_id` (`corse_id`),
  KEY `class_id` (`class_id`),
  KEY `sub_id` (`sub_id`),
  CONSTRAINT `classsubject_ibfk_1` FOREIGN KEY (`room_id`) REFERENCES `room` (`room_id`),
  CONSTRAINT `classsubject_ibfk_2` FOREIGN KEY (`teacher_id`) REFERENCES `teacher` (`teacher_id`),
  CONSTRAINT `classsubject_ibfk_3` FOREIGN KEY (`corse_id`) REFERENCES `course` (`corse_id`),
  CONSTRAINT `classsubject_ibfk_4` FOREIGN KEY (`class_id`) REFERENCES `class` (`class_id`),
  CONSTRAINT `classsubject_ibfk_5` FOREIGN KEY (`sub_id`) REFERENCES `subjects` (`sub_id`)
);

-- ----------------------------
-- Records of classsubject
-- ----------------------------
INSERT INTO `classsubject` VALUES ('CS00000001', 'r101', '1234567', '214231', '50', '04/27/2013', '05/25/2013', '8', '04/17/2013', '20131', 'dh09dt');
INSERT INTO `classsubject` VALUES ('CS00000003', 'r100', '1234567', '214231', '50', '04/20/2013', '05/18/2013', '4', '04/17/2013', '20131', 'dh09dt');
INSERT INTO `classsubject` VALUES ('CS00000004', 'r100', '1234567', '214321', '50', '04/29/2013', '05/25/2013', '4', '04/15/2013', '20131', 'dh09dt');
INSERT INTO `classsubject` VALUES ('CS00000005', 'r100', '1234567', '214331', '50', '04/19/2013', '05/25/2013', '5', '04/15/2013', '20131', 'dh08dt');
INSERT INTO `classsubject` VALUES ('CS00000006', 'r100', '1234567', '214231', '30', '04/20/2013', '05/25/2013', '2', '04/15/2013', '20131', 'dh09dt');
INSERT INTO `classsubject` VALUES ('CS00000007', 'r100', '1234567', '214242', '50', '04/27/2013', '05/25/2013', '5', '04/15/2013', '20131', 'dh09th');
INSERT INTO `classsubject` VALUES ('CS00000008', 'r100', '1234567', '214241', '50', '04/16/2013', '05/23/2013', '2', '04/15/2013', '20131', 'dh09dt');
INSERT INTO `classsubject` VALUES ('CS00000009', 'r100', '1234567', '214331', '50', '05/22/2013', '06/11/2013', '2', '04/15/2013', '20131', 'dh09th');
INSERT INTO `classsubject` VALUES ('CS00000011', 't101', '1234567', '214321', '100', '04/20/2013', '05/25/2013', '2', '04/17/2013', '20132', 'dh08dt');

-- ----------------------------
-- Table structure for `course`
-- ----------------------------
DROP TABLE IF EXISTS `course`;
CREATE TABLE `course` (
  `corse_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `staff_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `course_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `date_create` char(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`corse_id`),
  KEY `staff_id` (`staff_id`),
  CONSTRAINT `course_ibfk_1` FOREIGN KEY (`staff_id`) REFERENCES `staff` (`staff_id`)
);

-- ----------------------------
-- Records of course
-- ----------------------------
INSERT INTO `course` VALUES ('20123', 's12345', '2012 HKIII', '2012/04/15');
INSERT INTO `course` VALUES ('20131', 's12345', '2013 HKI', '2012/08/16');
INSERT INTO `course` VALUES ('20132', 's12345', '2013 HKII', '2013/04/17');

-- ----------------------------
-- Table structure for `department`
-- ----------------------------
DROP TABLE IF EXISTS `department`;
CREATE TABLE `department` (
  `dept_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `deft_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`dept_id`)
);

-- ----------------------------
-- Records of department
-- ----------------------------
INSERT INTO `department` VALUES ('dt', 'Đào Tạo');

-- ----------------------------
-- Table structure for `level`
-- ----------------------------
DROP TABLE IF EXISTS `level`;
CREATE TABLE `level` (
  `level_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `level_desc` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `year` int(11) NOT NULL,
  PRIMARY KEY (`level_id`)
);

-- ----------------------------
-- Records of level
-- ----------------------------
INSERT INTO `level` VALUES ('cd', 'Cao Đẳng', '3');
INSERT INTO `level` VALUES ('dh', 'Đại Học', '4');

-- ----------------------------
-- Table structure for `room`
-- ----------------------------
DROP TABLE IF EXISTS `room`;
CREATE TABLE `room` (
  `room_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `room_desc` text COLLATE utf8_unicode_ci NOT NULL,
  `room_seat` int(11) DEFAULT NULL,
  PRIMARY KEY (`room_id`)
);

-- ----------------------------
-- Records of room
-- ----------------------------
INSERT INTO `room` VALUES ('r100', 'RD100', '50');
INSERT INTO `room` VALUES ('r101', 'RD101', '50');
INSERT INTO `room` VALUES ('r200', 'RD200', '200');
INSERT INTO `room` VALUES ('t101', 'TV101', '150');
INSERT INTO `room` VALUES ('t102', 'TV102', '200');
INSERT INTO `room` VALUES ('t103', 'TV103', '300');

-- ----------------------------
-- Table structure for `science`
-- ----------------------------
DROP TABLE IF EXISTS `science`;
CREATE TABLE `science` (
  `science_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `science_desc` char(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`science_id`)
);

-- ----------------------------
-- Records of science
-- ----------------------------
INSERT INTO `science` VALUES ('00', 'Default');
INSERT INTO `science` VALUES ('cntt', 'Công Nghệ Thông Tin');
INSERT INTO `science` VALUES ('kt', 'Kinh Tế');

-- ----------------------------
-- Table structure for `scoretable`
-- ----------------------------
DROP TABLE IF EXISTS `scoretable`;
CREATE TABLE `scoretable` (
  `idscore` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `sub_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` char(15) COLLATE utf8_unicode_ci NOT NULL,
  `score` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idscore`),
  KEY `user_id` (`user_id`),
  KEY `sub_id` (`sub_id`),
  CONSTRAINT `scoretable_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `student` (`user_id`),
  CONSTRAINT `scoretable_ibfk_2` FOREIGN KEY (`sub_id`) REFERENCES `subjects` (`sub_id`)
);

-- ----------------------------
-- Records of scoretable
-- ----------------------------
INSERT INTO `scoretable` VALUES ('1', '214241', '09130027', '3');

-- ----------------------------
-- Table structure for `staff`
-- ----------------------------
DROP TABLE IF EXISTS `staff`;
CREATE TABLE `staff` (
  `staff_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `staff_password` char(35) COLLATE utf8_unicode_ci NOT NULL,
  `staff_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `dept_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`staff_id`),
  KEY `dept_id` (`dept_id`),
  CONSTRAINT `staff_ibfk_1` FOREIGN KEY (`dept_id`) REFERENCES `department` (`dept_id`)
);

-- ----------------------------
-- Records of staff
-- ----------------------------
INSERT INTO `staff` VALUES ('admin', '123', 'Người Quản Lý', 'dt');
INSERT INTO `staff` VALUES ('s12345', '123', 'Nguyễn Văn A', 'dt');

-- ----------------------------
-- Table structure for `student`
-- ----------------------------
DROP TABLE IF EXISTS `student`;
CREATE TABLE `student` (
  `user_id` char(15) COLLATE utf8_unicode_ci NOT NULL,
  `class_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `user_password` char(35) COLLATE utf8_unicode_ci NOT NULL,
  `user_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `user_mobile` char(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_email` char(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  KEY `class_id` (`class_id`),
  CONSTRAINT `student_ibfk_1` FOREIGN KEY (`class_id`) REFERENCES `class` (`class_id`)
);

-- ----------------------------
-- Records of student
-- ----------------------------
INSERT INTO `student` VALUES ('0909', 'dh09dt', 'khongco', 'Nguyễn Văn A', '090966', 'lxt@live.vn');
INSERT INTO `student` VALUES ('09130027', 'dh09dt', '123', 'Nguyễn Xuân Hòa', '01626450100', 'xuanhoa@gmail.com');
INSERT INTO `student` VALUES ('09130046', 'dh09dt', '123', 'Nguyễn Chính Luân', '0956696568', 'luanxt@yahoo.com');
INSERT INTO `student` VALUES ('09130052', 'dh09dt', '123', 'Đào Lê Duy Nam', '01229404007', 'dlduynam@gmail.com');

-- ----------------------------
-- Table structure for `studentregistrationclass`
-- ----------------------------
DROP TABLE IF EXISTS `studentregistrationclass`;
CREATE TABLE `studentregistrationclass` (
  `class_sub_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` char(15) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`class_sub_id`,`user_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `studentregistrationclass_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `student` (`user_id`),
  CONSTRAINT `studentregistrationclass_ibfk_2` FOREIGN KEY (`class_sub_id`) REFERENCES `classsubject` (`class_sub_id`)
);

-- ----------------------------
-- Records of studentregistrationclass
-- ----------------------------
INSERT INTO `studentregistrationclass` VALUES ('CS00000003', '09130027');
INSERT INTO `studentregistrationclass` VALUES ('CS00000004', '09130027');
INSERT INTO `studentregistrationclass` VALUES ('CS00000006', '09130027');
INSERT INTO `studentregistrationclass` VALUES ('CS00000007', '09130046');
INSERT INTO `studentregistrationclass` VALUES ('CS00000004', '09130052');

-- ----------------------------
-- Table structure for `subjects`
-- ----------------------------
DROP TABLE IF EXISTS `subjects`;
CREATE TABLE `subjects` (
  `sub_id` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `sub_id_prerequisite` char(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `science_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `sub_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `subject_stc` int(11) NOT NULL,
  `sub_enable` bit(1) DEFAULT b'0',
  PRIMARY KEY (`sub_id`),
  KEY `sub_id_prerequisite` (`sub_id_prerequisite`),
  KEY `science_id` (`science_id`),
  CONSTRAINT `subjects_ibfk_1` FOREIGN KEY (`sub_id_prerequisite`) REFERENCES `subjects` (`sub_id`),
  CONSTRAINT `subjects_ibfk_2` FOREIGN KEY (`science_id`) REFERENCES `science` (`science_id`)
);

-- ----------------------------
-- Records of subjects
-- ----------------------------
INSERT INTO `subjects` VALUES ('000000', null, '00', 'Default', '0', '');
INSERT INTO `subjects` VALUES ('214231', '000000', 'cntt', 'Cấu trúc máy tính', '2', '');
INSERT INTO `subjects` VALUES ('214241', '000000', 'cntt', 'Mạng máy tính cơ bản', '3', '');
INSERT INTO `subjects` VALUES ('214242', '000000', 'cntt', 'Nhập môn hệ điều hành', '3', '');
INSERT INTO `subjects` VALUES ('214321', '000000', 'cntt', 'Lập trình cơ bản', '4', '');
INSERT INTO `subjects` VALUES ('214331', '214241', 'cntt', 'Lập trình nâng cao', '4', '');

-- ----------------------------
-- Table structure for `teacher`
-- ----------------------------
DROP TABLE IF EXISTS `teacher`;
CREATE TABLE `teacher` (
  `teacher_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `teacher_pass` char(35) COLLATE utf8_unicode_ci NOT NULL,
  `teacher_name` char(100) COLLATE utf8_unicode_ci NOT NULL,
  `science_id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`teacher_id`),
  KEY `science_id` (`science_id`),
  CONSTRAINT `teacher_ibfk_1` FOREIGN KEY (`science_id`) REFERENCES `science` (`science_id`)
);

-- ----------------------------
-- Records of teacher
-- ----------------------------
INSERT INTO `teacher` VALUES ('1234567', '123', 'Mai Anh Thơ', 'cntt');
INSERT INTO `teacher` VALUES ('duynam', '123', 'Dao Le Duy Nam', 'cntt');
INSERT INTO `teacher` VALUES ('duynam1', '123', 'Dao Le Duy Nam', 'kt');
INSERT INTO `teacher` VALUES ('teacher', '123', 'Lê Nhật Tung', 'cntt');

-- ----------------------------
-- Table structure for `timeregistration`
-- ----------------------------
DROP TABLE IF EXISTS `timeregistration`;
CREATE TABLE `timeregistration` (
  `id` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `date_start` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `date_end` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `enable` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`id`)
);

-- ----------------------------
-- Records of timeregistration
-- ----------------------------
