﻿	$(document).ready(function(){
		
		// Lọc môn học theo mã môn học
		$(document).on("click", ".btn-reg", function(){
			var id = $("#txt-course-reg-id").val();
			if (id.length > 0) loadSubjectById(id);
		});
		
		// Lọc môn học theo ngành
		$(document).on("change", "#txt-course-reg-sci", function(){
			var id = $("#txt-course-reg-sci").val();
			if (id.length > 0 ) {
				$.ajax({
					type: "POST",
					url: "register-subject.php",
					data: "act=getClass&id=" + id,
					beforeSend: function(){
						toAnnounce("Đang tải dữ liệu");
						$(".course-reg-class-loading").html("<img src='images/loading.gif'/>");
					},
					success: function(res){
						var obj = $.parseJSON(res);
						if (obj.length > 0){
							$("#class-list").empty();
							for(var i = 0; i < obj.length; i++){
								$("#class-list").append('<option value="' + obj[i].id +'">' + obj[i].name +'</option>');
							}
						} else $("#class-list").empty();
						clearLoading();					
						loadSubjectByScience($("#txt-course-reg-sci").val());
					}
				});
			} else $("#class-list").empty();
		});
		
		$(document).on("change", "#txt-course-reg-class", function(){
			var id = $("#txt-course-reg-class").val();
			if (id.length > 0) loadSubjectByClass(id);
		});
		
		// Check môn học tiên quyết
		function checkPreSub(){
			$(".course-reg-subject-id").each(function(){
				checkPreSubProcess($(this).text());
			});
		}
		
		// Check môn học tiên quyết
		function checkPreSubProcess(id){
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=getPreSub&id=" + id,
				success: function(res){
					var pre = res;
					if (res != "000000"){
						$.ajax({
							type: "POST",
							url: "register-subject.php",
							data: "act=checkPreSub&userid=" + $("#global-username").attr("user") + "&subid=" + res,
							success: function(res){
								if (res == "false") {
									disableCheckboxById(id, pre);
								}
							}
						});
					}
				}
			});
		}
		
		// Disable checkbox by id 
		function disableCheckboxById(id, pre){
			$(".course-reg-subject-id").each(function(){
				if ($(this).text() == id) {
					$(this).siblings(".course-reg-choose").find(".course-reg-checkbox").attr({"disabled" : true, "title" : "Chưa học môn tiên quyết"});
					$(this).closest(".course-reg-line").attr("presub", pre).css("cursor", "pointer");
					applyUniform();
				}
			});
		}
		
		//Lấy danh sách môn học theo khoa
		function loadSubjectByScience(id){
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=getByScience&id=" + id,
				beforeSend: function(){
					$(".course-reg-loading").html("<img src='images/large-loading.gif'/>");
				},
				success: function(res){
					var obj = $.parseJSON(res);
					if (obj.length == 0) $(".course-reg-line-container").html('<div class="course-reg-line-blank">Không tìm thấy môn học nào</div>').hide().fadeIn();
					else {
						$(".course-reg-line-container").empty();
						for(var i = 0; i < obj.length; i++){
							insertRows(obj[i].id, obj[i].sid, obj[i].sname, obj[i].sstc, obj[i].capa, obj[i].room, obj[i].teacher, obj[i].start, obj[i].end);
						}
						checkPreSub();
						checkCheckedSubject();
						$(".course-reg-line-container").hide().fadeIn();
						setupScrollBar();
						applyUniform();
					}
					$(".course-reg-loading").empty();
				}
			});
		}
		
		//Lấy danh sách môn học theo lớp
		function loadSubjectByClass(id){
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=getByClass&id=" + id,
				beforeSend: function(){
					$(".course-reg-loading").html("<img src='images/large-loading.gif'/>");
				},
				success: function(res){
					var obj = $.parseJSON(res);
					if (obj.length == 0) $(".course-reg-line-container").html('<div class="course-reg-line-blank">Không tìm thấy môn học nào</div>').hide().fadeIn();
					else {
						$(".course-reg-line-container").empty();
						for(var i = 0; i < obj.length; i++){
							insertRows(obj[i].id, obj[i].sid, obj[i].sname, obj[i].sstc, obj[i].capa, obj[i].room, obj[i].teacher, obj[i].start, obj[i].end);
						}
						checkPreSub();
						checkCheckedSubject();
						$(".course-reg-line-container").hide().fadeIn();
						setupScrollBar();
						applyUniform();
					}
					$(".course-reg-loading").empty();
				}
			});
		}		

		//Lấy danh sách môn học theo mã môn học
		function loadSubjectById(id){
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=getById&id=" + id,
				beforeSend: function(){
					$(".course-reg-loading").html("<img src='images/large-loading.gif'/>");
				},
				success: function(res){
					var obj = $.parseJSON(res);
					if (obj.length == 0) $(".course-reg-line-container").html('<div class="course-reg-line-blank">Không tìm thấy môn học nào</div>').hide().fadeIn();
					else {
						$(".course-reg-line-container").empty();
						for(var i = 0; i < obj.length; i++){
							insertRows(obj[i].id, obj[i].sid, obj[i].sname, obj[i].sstc, obj[i].capa, obj[i].room, obj[i].teacher, obj[i].start, obj[i].end);
						}
						checkPreSub();
						checkCheckedSubject();
						$(".course-reg-line-container").hide().fadeIn();
						setupScrollBar();
						applyUniform();
					}
					$(".course-reg-loading").empty();
				}
			});
		}
		
		// Chọn môn học
		$(document).on("click", ".course-reg-checkbox", function(){
			var elem = $(this);
			if ($(this).is(":checked")) {
				$(this).closest(".course-reg-choose").hide().css("background-color", "#FFF8C6").fadeIn(600).siblings().hide().css("background-color", "#FFF8C6").fadeIn(600);
				toAnnounce("Đã chọn " +$(this).closest(".course-reg-choose").siblings(".course-reg-subject-name").text() + " (" + $(this).closest(".course-reg-choose").siblings(".course-reg-subject-id").text() + ")");
				
				// Get text 
				var elem = $(this).closest(".course-reg-choose");
				var a = $(this).closest(".course-reg-line").attr("csid");
				var b = elem.siblings(".course-reg-subject-id").text();
				var c = elem.siblings(".course-reg-subject-name").text();
				var d = elem.siblings(".course-reg-subject-stc").text();
				var e = elem.siblings(".course-reg-subject-teacher").text();
				insertToChosenList(a, b, c, d, e);
			} else {
				$.ajax({
					type: "POST",
					url: "register-subject.php",
					data: "act=deleteSubjectClass&id=" + $(elem).closest(".course-reg-line").attr("csid") + "&user=" + $("#global-username").attr("user"),
					success: function(res){
						$(elem).closest(".course-reg-choose").hide().css("background-color", "").fadeIn(600).siblings().hide().css("background-color", "").fadeIn(600, function(){updateSTT();});
						uncheckChosenSubject($(elem).closest(".course-reg-line").attr("csid"));
						toAnnounce("Hủy chọn " +$(elem).closest(".course-reg-choose").siblings(".course-reg-subject-name").text() + " (" + $(elem).closest(".course-reg-choose").siblings(".course-reg-subject-id").text() + ")");
					}
				});
			}
		});
		
		// Xóa môn được chọn
		$(document).on("click", ".course-reg-delete-icon", function(){
			var elem = $(this);
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=deleteSubjectClass&id=" + $(elem).closest(".course-reg-chosen-line").attr("csid") + "&user=" + $("#global-username").attr("user"),
				success: function(res){
					$(elem).closest(".course-reg-chosen-line").fadeOut(400, function(){
						toAnnounce("Hủy chọn " + $(this).children(".course-reg-chosen-subject-name").text() + " (" + $(this).children(".course-reg-chosen-subject-id").text() + ")");
						$(this).remove();
						updateSTT();
						uncheckSubject($(this).attr("csid"));
						if ($(".course-reg-chosen-line").length == 0) $(".course-reg-chosen-list").append('<div class="course-reg-chosen-line-blank">Bạn chưa đăng ký môn học nào</div>');
					});	
				}
			});
		});
		
		// Lưu csdl
		$(document).on("click", ".course-reg-update-icon", function(){
			var elem = $(this);
			$.ajax({
				type: "POST",
				url: "register-subject.php",
				data: "act=saveSubjectClass&id=" + elem.closest(".course-reg-chosen-line").attr("csid") + "&user=" + $("#global-username").attr("user"),
				success: function(res){
					$(elem).hide();
					var an = $(elem).closest(".course-reg-chosen-line");
					toAnnounce("Đã lưu " + $(an).children(".course-reg-chosen-subject-name").text() + " (" + $(an).children(".course-reg-chosen-subject-id").text() + ") vào csdl");			
					$(elem).closest(".course-reg-chosen-line").children(".course-reg-chosen-subject-status").text("Đã lưu vào csdl");
					$(elem).closest(".course-reg-chosen-line").children().hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "");});
				}
			});
		});
		
		// Câp nhập stt
		function updateSTT(){
			var i = 1;
			$(".course-reg-chosen-num").each(function(){
				$(this).text(i);
				i++;
			});
		}
		
		// Uncheck checkbox khi hủy chọn
		function uncheckSubject(id){
			$(".course-reg-line").each(function(){
				if ($(this).attr("csid") == id) {
					$.uniform.update($(this).children(".course-reg-choose").find(".course-reg-checkbox").attr("checked", false));
					$(this).children().css("background-color", "").hide().fadeIn(600);
					return false;
				}
			});
		}
		
		// Uncheck checkbox khi hủy chọn
		function uncheckChosenSubject(id){
			$(".course-reg-chosen-line").each(function(){
				if ($(this).attr("csid") == id) {
					$(this).fadeOut(400, function(){
						$(this).remove();
						if ($(".course-reg-chosen-line").length == 0) $(".course-reg-chosen-list").append('<div class="course-reg-chosen-line-blank">Bạn chưa đăng ký môn học nào</div>');
					});
					return false;
				}
			});
		}
		
		// check checked với bảng danh sách môn học đã chọn	
		function checkCheckedSubject(){
			$(".course-reg-chosen-line").each(function(){
				checkCheckedSubjectProcess($(this).attr("csid"));
			});
		}
		
		// check checked với bảng danh sách môn học đã chọn	
		function checkCheckedSubjectProcess(id){
			$(".course-reg-line").each(function(){
				if ($(this).attr("csid") == id) {
					$(this).children(".course-reg-choose").find(".course-reg-checkbox").attr("checked", true);
					$(this).children().css("background-color", "#FFF8C6");
				}
			});
		}
		
		function insertRows(a, b, c, d, e, f, g, h, i){
			var html = '<div csid="' + a + '" class="course-reg-line">';
			html += '<div spellcheck="false" class="course-reg-choose"><input title="Đăng ký" class="course-reg-checkbox" type="checkbox"/></div>';
			html += '<div spellcheck="false" class="course-reg-subject-id">' + b + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-name">' + c + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-stc">' + d + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-capacity">' + e + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-room">' + f + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-teacher">' + g + '</div>';
			html += '<div spellcheck="false" class="course-reg-subject-time">' + h + ' - ' + i + '</div>';
			html += '</div>';
			if ($(".course-reg-line-blank").css("display") != "none") $(".course-reg-line-blank").remove();
			$(".course-reg-line-container").append(html);
		}
		
		function insertToChosenList(a, b, c, d, e){
			var html = '<div csid="' + a + '" class="course-reg-chosen-line">';
			html += '<div spellcheck="false" class="course-reg-chosen-num">1</div>';
			html += '<div spellcheck="false" class="course-reg-chosen-subject-id">' + b + '</div>';
			html += '<div spellcheck="false" class="course-reg-chosen-subject-name">' + c + '</div>';
			html += '<div spellcheck="false" class="course-reg-chosen-subject-stc">' + d + '</div>';
			html += '<div spellcheck="false" class="course-reg-chosen-subject-teacher">' + e + '</div>';
			html += '<div spellcheck="false" class="course-reg-chosen-subject-status">Chưa lưu vào csdl</div>';
			html += '<div class="course-reg-function">';
			html += '<img class="course-reg-update-icon" title="Lưu vào csdl" src="images/icon-update.gif"/>';
			html += '<img class="course-reg-delete-icon" title="Xóa" src="images/icon-delete.gif"/>';
			html += '</div></div>';
			if ($(".course-reg-chosen-line-blank").css("display") != "none") $(".course-reg-chosen-line-blank").remove();
			$(".course-reg-chosen-list").append(html);
			updateSTT();
			$(".course-reg-chosen-subject-status:last, .course-reg-function:last, .course-reg-chosen-num:last, .course-reg-chosen-subject-id:last, .course-reg-chosen-subject-name:last, .course-reg-chosen-subject-stc:last, .course-reg-chosen-subject-teacher:last").hide().css("background-color", "#FFF8C6").fadeIn(600, function(){$(this).css("background-color", "pink");});
		}
		
		// Thông báo môn tiên quyết khi click
		$(document).on("click", ".course-reg-line", function(){
			if ($(this).attr("presub")) {
				$.ajax({
					type: "POST",
					url: "register-subject.php",
					data: "act=getPreSubInfo&id=" + $(this).attr("presub"),
					success: function(res){
						toAnnounce("Chưa học " + res);
					}
				});
			}
		});
		
		// Announcer
		function toAnnounce(msg){
			$(".course-reg-announcer").html(msg).fadeIn();
			hideAnnouncer();
		}
		
		function hideAnnouncer(){
			setTimeout('$(".course-reg-announcer").fadeOut(600);', 2000);
		}
		
		function clearLoading(){
			setTimeout('$(".course-reg-class-loading").empty()', 500);
		}

		// apply uniform
		function applyUniform(){
			$(".course-reg-checkbox").uniform();
		}
					
		//Scroll bar
		function setupScrollBar(){
			$(".course-reg-line-container").jScrollPane({
				horizontalGutter:5,
				verticalGutter:5,
				'showArrows': false
			});
			
			$(".jspDrag").hide();
			$(".jspScrollable").mouseenter(function(){
				$(this).find(".jspDrag").stop(true, true).fadeIn("slow");
			});
			
			$(".jspScrollable").mouseleave(function(){
				$(this).find(".jspDrag").stop(true, true).fadeOut("slow");
			});
		}
		
		// Disable gõ phím
		$(document).on("keypress", ".datalist-reg", function(){
			return false;
		});
	});